### Signal

# Gegl MetadataStore::generate-value

#### Declaration

    gboolean
    generate_value (
      GeglMetadataStore* self,
      GObject.ParamSpec* pspec,
      const GValue* value,
      gpointer user_data
    )

#### Description [src]

If a signal handler is connected to `::generate-value` a signal is emitted when the file module accesses a value using gegl_metadata_get_value(). The signal handler must generate a value of the type specified in the pspec argument. The signal handler’s return value indicates the success of the operation.

If no handler is connected the mapped metadata value is accessed normally,

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`pspec`

  Type: `GParamSpec`

  A `GParamSpec` declaring the metadata value.

  The data is owned by the caller of the function.

`value`

  Type: `GValue`

  An initialised `GValue`.

  The argument will be modified by the function.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if a value is generated successfully.